﻿using System.Windows;
using System.Windows.Controls;
using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.ConditionalHierarchicalBinding
{
    public class WayTemplateSelector : DataTemplateSelector
    {
        public DataTemplate WayTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            var cell = item as Cell;
            if(cell != null && cell.Row.DataObject is Order)
            {
                return WayTemplate;
            }
            return null;
        }
    }
}
