﻿using Dapfor.Wpf.Converters;
using Dapfor.Wpf.Data;
using Microsoft.Win32;

namespace Dapfor.Wpf.Grid.Demo.Examples.Miscellaneous.RegistryExplorer
{
    internal class RegistryValyeType
    {
        public RegistryValyeType(string name, RegistryValueKind valueKind, object data)
        {
            Name = name;
            ValueKind = valueKind;
            Data = data;
        }

        public string Name { get; set; }

        public RegistryValueKind ValueKind { get; set; }

        [Converter(typeof (RegistryValueDataConverter))]
        public object Data { get; set; }
    }
}