﻿using System.ComponentModel;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.ConditionalHierarchicalBinding
{
    internal class Collections
    {
        public Collections()
        {
            Baskets = new BindingList<Basket>();
            SingleOrders = new BindingList<Order>();
            AllDeals = new BindingList<Deal>();
            AllOrders = new BindingList<Order>();
        }

        public BindingList<Basket> Baskets { get; private set; }
        
        public BindingList<Order> SingleOrders { get; private set; }

        public BindingList<Deal> AllDeals { get; private set; }
        
        public BindingList<Order> AllOrders { get; private set; }
    }
}