﻿using System;
using System.ComponentModel;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.WhyUs.ThreadsafeEventHandling
{
    internal class CustomDataObject : INotifyPropertyChanged
    {
        static readonly Random Random = new Random();

        private int _v0;
        private int _v1;
        private int _v2;
        private int _v3;
        private int _v4;
        private int _v5;
        private int _v6;

        public CustomDataObject()
        {
            _v0 = Random.Next();
            _v1 = Random.Next();
            _v2 = Random.Next();
            _v3 = Random.Next();
            _v4 = Random.Next();
            _v5 = Random.Next();
            _v6 = Random.Next();
        }

        [Field("Id0")]
        public int V0
        {
            get { return _v0; }
            set
            {
                if (_v0 != value)
                {
                    _v0 = value;
                    FirePropertyChanged("Id0");
                }
                
            }
        }

        [Field("Id1")]
        public int V1
        {
            get { return _v1; }
            set
            {
                if (_v1 != value)
                {
                    _v1 = value;
                    FirePropertyChanged("Id1");
                }

            }
        }

        [Field("Id2")]
        public int V2
        {
            get { return _v2; }
            set
            {
                if (_v2 != value)
                {
                    _v2 = value;
                    FirePropertyChanged("Id2");
                }

            }
        }

        [Field("Id3")]
        public int V3
        {
            get { return _v3; }
            set
            {
                if (_v3 != value)
                {
                    _v3 = value;
                    FirePropertyChanged("Id3");
                }

            }
        }

        [Field("Id4")]
        public int V4
        {
            get { return _v4; }
            set
            {
                if (_v4 != value)
                {
                    _v4 = value;
                    FirePropertyChanged("Id4");
                }

            }
        }

        [Field("Id5")]
        public int V5
        {
            get { return _v5; }
            set
            {
                if (_v5 != value)
                {
                    _v5 = value;
                    FirePropertyChanged("Id5");
                }

            }
        }

        [Field("Id6")]
        public int V6
        {
            get { return _v6; }
            set
            {
                if (_v6 != value)
                {
                    _v6 = value;
                    FirePropertyChanged("Id6");
                }

            }
        }

        void FirePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
